Skip to main content
GET
Get Order

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orderId
string
required

Response

200 - application/json

Order

id
string
required

The unique identifier for the order (e.g. ord_xxxxx).

url
string
required

The URL to view this order in the Portal.

number
string
required
status
enum<string>
required
Available options:
created,
in_progress,
awaiting_review,
completed,
refunded,
cancelled
custom_reference
string | null
required

A custom reference provided by the customer.

custom_metadata
any[] | null
required

Custom metadata attached to the order.

total
integer
required

The order total in cents.

currency
string
required

The currency code (e.g. "usd").

intake_at
string | null
required
in_progress_at
string | null
required
on_hold_at
string | null
required
completed_at
string | null
required
created_at
string
required
updated_at
string
required
quote_id
string | null

The associated quote identifier.

cart
Cart · object | null

The associated cart.

documents
Document · object[]

The associated documents.